<!--<div class="clearfix row">
  <div class="float-left col-sm-10">
  </div>
  <div class=" float-right col-sm-2">
    <div class="row d-flex justify-content-center">
      <button class="btn active btn-primary waves-light refreshBtn" title="Refresh" mdbWavesEffect (click)="getActiveAsset()"><i class="zmdi zmdi-refresh"></i></button>
    </div>
  </div>
</div>-->

<div class="row">
  <div class="col-md-12">
      <div class="card indigo text-center z-depth-2">
        <div class="card-body inspection-table-header">
          <p class="mb-0">
            <strong *ngIf="inspectionDetails.activeDetails.car">Active Inspection <button mat-raised-button color="accent" class="cursorPointer finish-btn" mdbWavesEffect (click)="(finishInspection())">Finish</button></strong>
            <strong *ngIf="!inspectionDetails.activeDetails.car">No Active Inspection</strong>
          </p>
        </div>
      </div>
</div>
  <div>
    <hr>
  </div>
  <div class="col-md-12">
    <div class="jumbotron inspection-table-body">
      <div *ngIf="inspectionDetails.activeDetails.car">

        <!--<div class="row">
          <div class="col-sm-0 col-md-8 col-lg-8 float-left"></div>
          <div class="col-sm-12 col-md-4 col-lg-4 float-right" >
          <span class="card card-body align-self-center" style="margin-bottom: 20px">
            <button class="btn-lg bg-primary cursorPointer" mdbWavesEffect (click)="(finishInspection())" style="color: #fff">Finish</button>
          </span>
          </div>
        </div>-->

        <table class="table activeCarCard" *ngIf="inspectionDetails.activeDetails.car" [ngClass]="[inspectionDetails.activeDetails.components.found.length === 5 ? 'activeCarCardSuccess' : 'activeCarCardAlert']">
          <thead>
          <tr class="activeCarCardHeader">
            <th class="carPlate">Car</th>
            <th class="eqiFound">Equipments Found</th>
            <th class="engineDig">Engine Diagnostic</th>
            <th class="UVI">UVIS</th>
            <th class="bodyInp">AVDDS</th>
            <th class="inspectionDate">Inspected Time</th>
          </tr>
          </thead>
          <tbody>
          <tr>
            <td class="carPlate">
              <div class="licensePlate">
                <img src="../../assets/numberPlate.png" alt="" class="npImg">
                <div class="licenseNum">{{inspectionDetails.activeDetails.car.registrationNumber}}</div>
              </div>
            </td>
            <td class="eqiFound">
              <app-group-badge *ngIf="inspectionDetails.activeDetails.components.found.length>0" [assetDataGroups]="inspectionDetails.activeDetails.components.found"></app-group-badge>
              <img class="connectionImg" *ngIf="inspectionDetails.activeDetails.components.found.length === 0 " src="../../assets/notconnectedIcon.png" alt="Not Found">
            </td>
            <td class="engineDig">
              <img class="connectionImg" *ngIf="inspectionDetails.activeDetails.engineInspection || (inspectionDetails.activeDetails.engineInspection !== null && inspectionDetails.activeDetails.engineInspection)" src="../../assets/connectedIcon.png" alt="Found">
              <img class="connectionImg" *ngIf="!inspectionDetails.activeDetails.engineInspection || inspectionDetails.activeDetails.engineInspection === null" src="../../assets/notconnectedIcon.png" alt="Not Found">
            </td>
            <td class="UVI">
              <img class="connectionImg" *ngIf="(inspectionDetails.activeDetails.uvis || (inspectionDetails.activeDetails.uvis !== null && inspectionDetails.activeDetails.uvis))" src="../../assets/connectedIcon.png" alt="Found">
              <img class="connectionImg" *ngIf="(inspectionDetails.activeDetails.uvis === false || inspectionDetails.activeDetails.uvis === null)" src="../../assets/notconnectedIcon.png" alt="Not Found">
            </td>
            <td class="bodyInp">
              <img class="connectionImg" *ngIf="(inspectionDetails.activeDetails.avdds || (inspectionDetails.activeDetails.avdds !== null && inspectionDetails.activeDetails.avdds))" src="../../assets/connectedIcon.png" alt="Found">
              <img class="connectionImg" *ngIf="(inspectionDetails.activeDetails.avdds === false || inspectionDetails.activeDetails.avdds === null)" src="../../assets/notconnectedIcon.png" alt="Not Found">
            </td>
            <td class="inspectionDate" style="font-weight: 500; color: green">{{inspectionDetails.activeDetails.inspectionTime | date: 'medium'}}</td>
          </tr>
          </tbody>
        </table>
      </div>

      <div class="clearfix row d-flex justify-content-center" *ngIf="!inspectionDetails.activeDetails.car">
        <div class="h1 text-black no-car-text"><strong>NO CAR IN INSPECTION BAY</strong></div>
      </div>
    </div>
  </div>

    <div class="col-sm-12 col-md-12 col-lg-12 col-xl-12" *ngIf="historicalInspectionList.length > 0">
      <h3 style="margin-top: 10px">Past Inspections</h3>
      <div>
        <app-report-table [historicalInspectionList]="historicalInspectionList" [showCarPlate]="true" [showEqiFound]="true" [showEngineDig]="true"
                          [showUvi]="true" [showAvdds]="true" [showDriverInput]="true" [showStartTime]="true" [showEndTime]="true" [showPdf]="false"
                          (reportComponentDetailsForModalReportDetails)="reportComponentDetailsToView($event)"></app-report-table>
      </div>
    </div>

  <!--<div class="col-md-12  col-sm-12 d-flex justify-content-center" *ngIf="historicalInspectionList.length > 0" style="margin-top: 10px">
    <ngb-pagination *ngIf="inspectionDetails.pagination.totalNoOfRecords > 0" class="d-flex justify-content-center "
                    [collectionSize]="inspectionDetails.pagination.totalNoOfRecords"
                    [(page)]="inspectionDetails.pagination.currentPage" [maxSize]="3"
                    [rotate]="true"
                    [boundaryLinks]="true"
                    (pageChange)="getAllInspectedAsset($event)"
                    [pageSize]="inspectionDetails.pagination.recordsPerPage"
                    aria-label="Default pagination">

    </ngb-pagination>
  </div>-->

</div>

<app-modal-lg-report-details [selectedInspectedCarIndividualComponentDetails]="selectedInspectedCarIndividualComponentDetails" [showEngineDiagnosticDetails]="showReportComponentDetails.showEngineDiagnosticDetails" [showUvisDetails]="showReportComponentDetails.showUvisDetails"
                             [showAvddsDetails]="showReportComponentDetails.showAvddsDetails"
                             [showDriverFeedback]="showReportComponentDetails.showDriverFeedback" [randomNumberToSetData]="randomNumberToSetData"></app-modal-lg-report-details>

<div *ngIf="showSlider"><app-right-sidebar [assetLinkedDetails]="assetLinkedDetails" [assetData]="carDetails" [assetConfigDetails]="assetConfigDetails"
                                           [isAssetDetailsInReadMode]="isAssetDetailsInReadMode"></app-right-sidebar></div>

<div *ngIf="isShowAsset">
  <app-loader></app-loader>
</div>
